
module.exports = (api) => {
	const mode = process.env.NODE_ENV ? process.env.NODE_ENV: 'production';
	api.cache.using(() => mode);

	return {
		presets: [
			[
				'@babel/preset-env',
				{
					targets: {
						browsers: ['>1%', 'last 4 versions', 'ie >=9'],
					},
					useBuiltIns: 'entry',
					debug: false,
					corejs: 3,
				},
			],
			'@babel/preset-flow',
			'@babel/preset-typescript',
			'@babel/preset-react',
		],
		plugins: [
			'@babel/plugin-syntax-dynamic-import',
			'@babel/plugin-proposal-class-properties',
			'@babel/plugin-proposal-export-namespace-from',
			'@babel/plugin-proposal-throw-expressions',
			'@babel/plugin-transform-object-assign',
			'@babel/proposal-object-rest-spread',
			'@babel/plugin-syntax-jsx'
		].filter(Boolean),
	};
};
