import React from 'react';
import DownloadIcon from '@assets/icons/ic_download.svg';

type ResultLinkComponentProps = {
    /** Displaying text */
    text: string;
    /** Styling class name */
    className: string;
    /** Event handler for download result of transaction */
    handleDownload: () => void;
};

/**
 *  Component to render a download button
 */
function DownloadResultComponent({ text, className, handleDownload }: ResultLinkComponentProps) {
    return (
            <span className={className} onClickCapture={handleDownload}>
                <DownloadIcon />
                <span>{text.toUpperCase()!="SIMPLIFIEDJSON"?text: "S.JSON"}</span>
            </span>
    );
}

export default DownloadResultComponent;
