import React from 'react';

import styles from './FilenameComponent.module.scss';
import { getFileExpansion, getSelfName } from '@utils/getFileAttribute';

type FilenameComponentProps = {
    /** Full file name */
    filename: string;
};

/**
 *  Component to render file name
 */
function FilenameComponent({ filename }: FilenameComponentProps) {
    return (
        <span>
            <span className={styles.fileName} title={filename}>
                {getSelfName(filename)}
            </span>
            <span>{getFileExpansion(filename)}</span>
        </span>
    );
}

export default FilenameComponent;
