import React from 'react';
import styles from './MobileUploadButtonComponent.module.scss';
import MobileUploadIcon from '@assets/icons/ic_mobileUpload.svg';
import { resource } from '@src/assets/text/resources';
import AddIcon from '@assets/icons/ic_add.svg';

interface MobileUploadButtonComponentProps {
    /** Handler for button click */
    handleClick: () => void;
    /** Button type */
    type: 'default' | 'ghost';
}

/**
 *  Component to render a styled button for mobile upload
 */
function MobileUploadButtonComponent({ handleClick, type }: MobileUploadButtonComponentProps) {
    return (
        <>
            {type === 'ghost' ? (
                <button type="button" className={styles.buttonGhost} onClick={handleClick}>
                    <MobileUploadIcon className={styles.iconGhost} />
                    {resource.button.mobileUpload}
                </button>
            ) : (
                <button type="button" className={styles.buttonDefault} onClick={handleClick}>
                    <AddIcon className={styles.iconDefault} />
                    {resource.button.addDoc}
                </button>
            )}
        </>
    );
}

export default MobileUploadButtonComponent;
