import React from 'react';
import ScanDocIcon from '@assets/icons/ic_scanDoc.svg';

type MobileUploadComponentProps = {
    /** Displaying text */
    text: string;
    /** Review link */
    link: string;
    /**  Styling */
    className: string;
};

/**
 *  Component to render a redirect link to mobile upload
 */
function MobileUploadComponent({ text, link, className }: MobileUploadComponentProps) {
    return (
        <>
            <a target="_blank" rel="noopener noreferrer" href={link} className={className}>
                <ScanDocIcon/>
                {text}
            </a>
        </>
    );
}

export default MobileUploadComponent;
