import React, { useCallback, useState } from 'react';
import ClassDropdownComponent from "@commonComponents/ClassDropdownComponent/ClassDropdownComponent";

type ClassDropdownContainerProps = {
    /** Available array of transaction classes */
    classes: Array<string>;
};

/**
 *  Component to render a dropdown for display transaction files
 */
const ClassDropDownContainer = ({classes}: ClassDropdownContainerProps) => {
    const [show, setShow] = useState(false);
    const toggleShow = useCallback(() => {
        setShow(true);
    }, [setShow]);

    const hideDropdown = useCallback(
        () => {
            setShow(false);
        },
        [setShow],
    );

    return (
        <ClassDropdownComponent
            isShow={show}
            classes={classes}
            hideDropdown={hideDropdown}
            toggleShow={toggleShow}
        />
    );
};

export default ClassDropDownContainer;
