import React, { useCallback } from 'react';
import MobileUploadButtonComponent from '@commonComponents/MobileUploadButtonComponent/MobileUploadButtonComponent';
import { createLocalTransactionRequest } from '@ducks/Transaction/actions';
import { v4 as uuid } from 'uuid';
import { TransactionStatus } from '@api/types';
import { useDispatch } from 'react-redux';
import { isMobile } from 'react-device-detect';

/**
 *  Component to render a styled button for mobile upload
 */
const MobileUploadButtonContainer = () => {
    const dispatch = useDispatch();

    const handleClick = useCallback(() => {
        dispatch(
            createLocalTransactionRequest({
                transaction: {
                    uuid: uuid(),
                    status: TransactionStatus.LOCAL,
                    isMobile: true,
                    transactionFiles: []
                },
            }),
        );
    }, [dispatch]);

    return <MobileUploadButtonComponent handleClick={handleClick} type={isMobile ? 'default' : 'ghost'} />;
};

export default MobileUploadButtonContainer;
