import { GetActionsType } from '../../types';
import { Type } from '../actionTypes';

const AuthActions = {
    authRequest: (payload: { username: string; password: string }) => ({
        type: Type.AUTH_REQUEST,
        payload,
    }),

    authCodeRequest: (payload: { code: string; code_verifier: string }) => ({
        type: Type.AUTH_CODE_REQUEST,
        payload,
    }),

    authSuccess: () => ({
        type: Type.AUTH_SUCCESS,
    }),

    authFailed: () => ({
        type: Type.AUTH_FAILED,
    }),

    authLogout: () => ({
        type: Type.AUTH_LOGOUT,
    }),
};

export const { authRequest, authCodeRequest, authSuccess, authFailed, authLogout } = AuthActions;

export type AuthActionTypes = GetActionsType<typeof AuthActions>;
