import { call, put } from 'redux-saga/effects';
import { authCodeRequest, authSuccess, authFailed } from '../actions/AuthActions';
import authService, { AuthResponse } from '../../../api/authService';
import { setToken } from '../../../utils/tokenUtils';

export default function* handleAuthSaga({ payload }: ReturnType<typeof authCodeRequest>) {
    try {
        const response: AuthResponse = yield call(authService.authenticateCode, {
            code: payload.code,
            code_verifier: payload.code_verifier,
        });
        setToken(response.data.access_token);
        yield put(authSuccess());
    } catch (error) {
        yield put(authFailed());
    }
}
