import { Type } from './actionTypes';
import { CommonActionTypes } from './actions/CommonActions';

export const initialState: CommonState = {
    /** Card visibility flag */
    isCardView: true,
};

/**
 * Common reducer state type
 */
export interface CommonState {
    isCardView: boolean;
}

/**
 * Common reducer
 * @param state
 * @param action
 */
export const reducer = (state = initialState, action: CommonActionTypes): CommonState => {
    switch (action.type) {
        case Type.SET_CARD_VIEW: {
            return {
                isCardView: true,
            };
        }
        case Type.SET_LIST_VIEW: {
            return {
                isCardView: false
            };
        }
        case Type.FLIP_VIEW: {
            return {
                isCardView: !state.isCardView
            };
        }
        default:
            return state;
    }
};
