import { reducer, initialState } from './reducer';
import { Type } from './actionTypes';

describe('Error reducer tests', () => {
    it('Error show', () => {
        const action = {
            type: Type.ERROR_SHOW,
            payload: {
                errorText: 'Error text',
            },
        };
        expect(reducer(initialState, action)).toEqual({
            isVisible: true,
            text: 'Error text',
        });
    });

    it('Error hide', () => {
        const action = {
            type: Type.ERROR_HIDE,
        };
        expect(reducer(initialState, action)).toEqual({
            isVisible: false,
            text: '',
        });
    });
});
