import { runSaga } from 'redux-saga';
import { ErrorActionTypes, errorHide, errorShow } from '../actions/ErrorActions';
import handleErrorSaga from './handleErrorSaga';

describe('Handle error sagas tests', () => {
    it('Handle error', async () => {
        const dispatched: Array<ErrorActionTypes> = [];

        await runSaga(
            {
                dispatch: (action: ErrorActionTypes) => dispatched.push(action),
            },
            handleErrorSaga,
            {
                type: 'test type',
                payload: {
                    errorText: 'error text',
                },
            },
        ).toPromise();

        expect(dispatched).toContainEqual(
            errorShow({
                errorText: 'error text',
            }),
        );
        expect(dispatched).toContainEqual(errorHide());
    });
});
