import { qrCodeHide, qrCodeShow } from './MobileCaptureActions';
import { Type } from '../actionTypes';

describe('Mobile capture action tests', () => {
    it('QR Code show', () => {
        const expectedAction = {
            type: Type.SHOW_QR_CODE,
            payload: {
                transactionId: 'https://test.com',
            },
        };

        expect(
            qrCodeShow({
                transactionId: 'https://test.com',
            }),
        ).toEqual(expectedAction);
    });

    it('QR Code hide', () => {
        const expectedAction = {
            type: Type.HIDE_QR_CODE,
        };

        expect(qrCodeHide()).toEqual(expectedAction);
    });
});
