import { GetActionsType } from '../../types';
import { Type } from '../actionTypes';

const MobileCaptureActions = {
    qrCodeShow: (payload: { transactionId: string }) => ({
        type: Type.SHOW_QR_CODE,
        payload,
    }),

    qrCodeHide: () => ({
        type: Type.HIDE_QR_CODE,
    }),

    getMobileLinkRequest: (payload: { transactionId: string }) => ({
        type: Type.GET_MOBILE_LINK_REQUEST,
        payload
    }),

    getMobileLinkSuccess: (payload: { transactionId: string, mobileInputLink: string }) => ({
        type: Type.GET_MOBILE_LINK_SUCCESS,
        payload,
    }),

    getMobileLinkError: (payload: { errorText: string }) => ({
        type: Type.GET_MOBILE_LINK_ERROR,
        payload
    }),
};

export const { qrCodeShow, qrCodeHide, getMobileLinkRequest, getMobileLinkSuccess, getMobileLinkError } = MobileCaptureActions;

export type MobileCaptureActionTypes = GetActionsType<typeof MobileCaptureActions>;
