import { call, put } from 'redux-saga/effects';
import { getMobileLinkRequest, getMobileLinkSuccess, getMobileLinkError } from '../actions/MobileCaptureActions';
import { resource } from '../../../assets/text/resources';
import { SagaIterator } from 'redux-saga';
import transactionService, {GetMobileInputLinkResponse} from "@api/transactionService";

export default function* requestMobileLinkSaga({ payload }: ReturnType<typeof getMobileLinkRequest>): SagaIterator {
    try {
        const response: GetMobileInputLinkResponse = yield call(transactionService.getMobileLink, payload.transactionId);
        yield put(
            getMobileLinkSuccess(response.data),
        );
    } catch (error) {
        console.error(resource.error.getSkillsFailed);
        console.error(error);
        yield put(
            getMobileLinkError({
                errorText: resource.error.getSkillsFailed,
            }),
        );
    }
}
