import { getSkillsError, getSkillsRequest, getSkillsStart, getSkillsSuccess } from './skillActions';
import { Type } from '../actionTypes';

describe('Skills action tests', () => {
    it('Get skills request', () => {
        const expectedAction = {
            type: Type.GET_SKILLS_REQUEST,
        };
        expect(getSkillsRequest()).toEqual(expectedAction);
    });

    it('Get skills start', () => {
        const expectedAction = {
            type: Type.GET_SKILLS_START,
        };
        expect(getSkillsStart()).toEqual(expectedAction);
    });

    it('Get skills success', () => {
        const expectedAction = {
            type: Type.GET_SKILLS_SUCCESS,
            payload: {
                skills: [
                    { id: 'id-1', name: 'skill name 1', type: 'skill type' },
                    { id: 'id-2', name: 'skill name 2', type: 'skill type' },
                ],
            },
        };
        expect(
            getSkillsSuccess({
                skills: [
                    { id: 'id-1', name: 'skill name 1', type: 'skill type' },
                    { id: 'id-2', name: 'skill name 2', type: 'skill type' },
                ],
            }),
        ).toEqual(expectedAction);
    });

    it('Get skills failed', () => {
        const expectedAction = {
            type: Type.GET_SKILLS_ERROR,
            payload: {
                errorText: 'error',
            },
        };
        expect(
            getSkillsError({
                errorText: 'error',
            }),
        ).toEqual(expectedAction);
    });
});
