import { GetActionsType } from '../../types';
import { Type } from '../actionTypes';
import { Skill } from '../../../api/types';

const SkillActions = {
    getSkillsRequest: () => ({
        type: Type.GET_SKILLS_REQUEST,
    }),

    getSkillsStart: () => ({
        type: Type.GET_SKILLS_START,
    }),

    getSkillsSuccess: (payload: { skills: Array<Skill> }) => ({
        type: Type.GET_SKILLS_SUCCESS,
        payload,
    }),

    getSkillsError: (payload: { errorText: string }) => ({
        type: Type.GET_SKILLS_ERROR,
        payload,
    }),
};

export const { getSkillsRequest, getSkillsStart, getSkillsSuccess, getSkillsError } = SkillActions;

export type SkillActionTypes = GetActionsType<typeof SkillActions>;
