import { initialState, reducer } from './reducer';
import { Type } from './actionTypes';

describe('Skill reducer tests', () => {
    it('Get skills success', () => {
        const action = {
            type: Type.GET_SKILLS_SUCCESS,
            payload: {
                skills: [
                    { id: 'id-1', name: 'skill name 1', type: 'skill type' },
                    { id: 'id-2', name: 'skill name 2', type: 'skill type' },
                ],
            },
        };
        expect(reducer(initialState, action)).toEqual({
            isLoading: false,
            skills: [
                { id: 'id-1', name: 'skill name 1', type: 'skill type' },
                { id: 'id-2', name: 'skill name 2', type: 'skill type' },
            ],
        });
    });
});
