import { SkillActionTypes } from './actions/skillActions';
import { Type } from './actionTypes';
import { Skill } from '../../api/types';

/** Array of skills */
export const initialState: SkillState = {
    isLoading: false,
    skills: [],
};

/** Skill reducer state type */
export type SkillState = {
    isLoading: boolean;
    skills: Array<Skill>;
};

/**
 * Skill reducer
 * @param state
 * @param action
 */
export const reducer = (state = initialState, action: SkillActionTypes): SkillState => {
    switch (action.type) {
        case Type.GET_SKILLS_REQUEST: {
            return {
                ...state,
                isLoading: true,
            };
        }
        case Type.GET_SKILLS_SUCCESS: {
            const { skills } = action.payload;
            return {
                isLoading: false,
                skills,
            };
        }
        case Type.GET_SKILLS_ERROR: {
            return {
                ...state,
                isLoading: false,
            };
        }
        default:
            return state;
    }
};
