import { GetActionsType } from '../../types';
import { Type } from '../actionTypes';
import { TransactionFileType} from '../../../api/types';

const AddFileToTransactionActions = {
    addFileToTransactionRequest: (payload:{ uuid: string, transactionFiles: Array<TransactionFileType> }) => ({
        type: Type.ADD_FILE_TO_TRANSACTION_REQUEST,
        payload,
    }),

    addFileToTransactionStart: (payload: { uuid: string, transactionFiles: Array<TransactionFileType> }) => ({
        type: Type.ADD_FILE_TO_TRANSACTION_START,
        payload,
    }),

    addFileToTransactionSuccess: (payload: { uuid: string, transactionFiles: Array<TransactionFileType> }) => ({
        type: Type.ADD_FILE_TO_TRANSACTION_SUCCESS,
        payload,
    }),

    addFileToTransactionError: (payload: { errorText: string }) => ({
        type: Type.ADD_FILE_TO_TRANSACTION_ERROR,
        payload,
    }),

};

export const {
    addFileToTransactionRequest,
    addFileToTransactionStart,
    addFileToTransactionSuccess,
    addFileToTransactionError,
} = AddFileToTransactionActions;

export type AddFileToTransactionActionTypes = GetActionsType<typeof AddFileToTransactionActions>;
