import {
    downloadTransactionError,
    downloadTransactionRequest,
    downloadTransactionStart,
    downloadTransactionSuccess,
} from './downloadTransactionActions';
import { Type } from '../actionTypes';

describe('Download transaction file action tests', () => {
    it('Download transaction file request', () => {
        const expectedAction = {
            type: Type.DOWNLOAD_TRANSACTION_FILE_REQUEST,
            payload: {
                uuid: 'uuid-1',
                fileId: 'file-id-1',
            },
        };
        expect(
            downloadTransactionRequest({
                uuid: 'uuid-1',
                fileId: 'file-id-1',
            }),
        ).toEqual(expectedAction);
    });

    it('Download transaction file start', () => {
        const expectedAction = {
            type: Type.DOWNLOAD_TRANSACTION_FILE_START,
            payload: {
                uuid: 'uuid-1',
                fileId: 'file-id-1',
            },
        };
        expect(
            downloadTransactionStart({
                uuid: 'uuid-1',
                fileId: 'file-id-1',
            }),
        ).toEqual(expectedAction);
    });

    it('Download transaction file success', () => {
        const expectedAction = {
            type: Type.DOWNLOAD_TRANSACTION_FILE_SUCCESS,
            payload: {
                uuid: 'uuid-1',
                fileId: 'file-id-1',
            },
        };
        expect(
            downloadTransactionSuccess({
                uuid: 'uuid-1',
                fileId: 'file-id-1',
            }),
        ).toEqual(expectedAction);
    });
    it('Download transaction file failed', () => {
        const expectedAction = {
            type: Type.DOWNLOAD_TRANSACTION_FILE_ERROR,
            payload: {
                uuid: 'uuid-1',
                errorText: 'error',
                fileId: 'file-id-1',
            },
        };
        expect(
            downloadTransactionError({
                uuid: 'uuid-1',
                errorText: 'error',
                fileId: 'file-id-1',
            }),
        ).toEqual(expectedAction);
    });
});
