import { takeEvery } from 'redux-saga/effects';
import createTransactionSaga from './createTransactionSaga';
import createMobileTransactionSaga from './createMobileTransactionSaga';
import checkTransactionSaga from './checkTransactionSaga';
import getTransactionSaga from './getTransactionSaga';
import createLocalTransactionSaga from './createLocalTransactionSaga';
import deleteTransactionSaga from './deleteTransactionSaga';
import deleteAllTransactionSaga from './deleteAllTransactionSaga';
import downloadTransactionSaga from './downloadTransactionSaga';
import addFileToTransactionSaga from "@ducks/Transaction/sagas/addFileToTransactionSaga";
import { Type } from '../actionTypes';

export default function* transactionSaga() {
    yield takeEvery(Type.CREATE_TRANSACTION_REQUEST, createTransactionSaga);
    yield takeEvery(Type.CREATE_TRANSACTION_MOBILE_REQUEST, createMobileTransactionSaga);
    yield takeEvery(Type.CREATE_TRANSACTION_SUCCESS, checkTransactionSaga);
    yield takeEvery(Type.CREATE_TRANSACTION_MOBILE_SUCCESS, checkTransactionSaga);
    yield takeEvery(Type.GET_TRANSACTION_REPEAT, checkTransactionSaga);
    yield takeEvery(Type.GET_TRANSACTION_REQUEST, getTransactionSaga);
    yield takeEvery(Type.ADD_FILE_TO_TRANSACTION_REQUEST, addFileToTransactionSaga);
    yield takeEvery(Type.CREATE_LOCAL_TRANSACTION_REQUEST, createLocalTransactionSaga);
    yield takeEvery(Type.DELETE_TRANSACTION_REQUEST, deleteTransactionSaga);
    yield takeEvery(Type.DELETE_ALL_TRANSACTION_REQUEST, deleteAllTransactionSaga);
    yield takeEvery(Type.DOWNLOAD_TRANSACTION_FILE_REQUEST, downloadTransactionSaga);
}
