import { applyMiddleware, compose, createStore, Middleware } from 'redux';
import { createLogger } from 'redux-logger';
import createSagaMiddleware from 'redux-saga';
import { appReducer } from './appReducer';

import transactionSaga from './Transaction/sagas/transactionSaga';
import skillSaga from './Skill/sagas/skillSaga';
import errorSaga from './Error/sagas/errorSaga';
import authSaga from './Auth/sagas/authSaga';
import mobileSaga from "@ducks/Mobile/sagas/skillSaga";

const logger = createLogger();
const sagaMiddleware = createSagaMiddleware();

let middleware: Middleware[] = [];
if (process.env.NODE_ENV === 'development') {
    middleware = [...middleware, sagaMiddleware, logger];
} else {
    middleware = [...middleware, sagaMiddleware];
}

export default createStore(appReducer, compose(applyMiddleware(...middleware)));
sagaMiddleware.run(transactionSaga);
sagaMiddleware.run(skillSaga);
sagaMiddleware.run(errorSaga);
sagaMiddleware.run(authSaga);
sagaMiddleware.run(mobileSaga);
