type ActionType<T> = T extends { [key: string]: infer U } ? U : never;
export type GetActionsType<T extends { [key: string]: (...args: any[]) => any }> = ReturnType<ActionType<T>>;

/** Object type for storing normalized data */
export interface INObjects<T> {
    byId: { [uuid: string]: T };
    allIds: string[];
}

/** Empty normalized object */
export const emptyNObject = {
    byId: {},
    allIds: [] as Array<string>,
};
