import React from 'react';
import styles from './MobileCardViewPageComponent.module.scss';
import Logo from '@assets/logo_large.svg';
import PoweredByLogo from '@assets/logo_powered_by_abbyy.svg';
import CardListContainer from './containers/CardListContainer';
import MobileUploadButtonContainer from '@commonContainers/MobileUploadButtonContainer/MobileUploadButtonContainer';
/**
 *  Component to render card view page
 */
function MobileCardViewPageComponent() {
    return (
        <div className={styles.container}>
            <header>
                <Logo className={styles.logo} />
                <hr className={styles.divider} />
            </header>
            <div className={styles.listContainer}>
                <CardListContainer />
            </div>
            <footer>
                <MobileUploadButtonContainer />
                <hr className={styles.divider} />
                <div className={styles.poweredContainer}>
                    <PoweredByLogo className={styles.powered} />
                </div>
            </footer>
        </div>
    );
}

export default MobileCardViewPageComponent;
