import React from 'react';
import styles from './MainPageMobileComponent.module.scss';
import DocumentsIcon from '@assets/icons/ic_documents.svg';
import Logo from '@assets/logo_large.svg';
import { resource } from '@assets/text/resources';
import PoweredByLogo from '@assets/logo_powered_by_abbyy.svg';
import MobileUploadButtonContainer from '@commonContainers/MobileUploadButtonContainer/MobileUploadButtonContainer';

/**
 *  Component to render a Main Page for card view
 */
function MainPageMobileComponent() {
    return (
        <div className={styles.page}>
            <div className={styles.logoContainer}>
                <Logo className={styles.logo} />
            </div>
            <hr className={styles.divider} />
            <div className={styles.documentsIconContainer}>
                <DocumentsIcon className={styles.documentsIcon} />
                <div className={styles.title}>{resource.title.mobileCapture}</div>
            </div>
            <MobileUploadButtonContainer />
            <hr className={styles.divider} />
            <div className={styles.footer}>
                <PoweredByLogo className={styles.poweredLogo} />
            </div>
        </div>
    );
}

export default MainPageMobileComponent;
