import React from 'react';
import styles from './ViewPageComponent.module.scss';
import PoweredByLogo from '@assets/logo_powered_by_abbyy.svg';
import PageHeaderContainer from "@commonContainers/PageHeader/PageHeaderContainer";
import CardListContainer from "@routes/CardViewPage/containers/CardListContainer";
import TableContainer from "@routes/TableViewPage/conatiners/TableContainer";
import MainViewComponent from "@routes/MainPage/components/MainViewComponent/MainViewComponent";
import {TransactionState} from "@ducks/Transaction/reducer";

type ViewPageComponentProps = {
    /** Card view visibility flag */
    isCardView: boolean;
    transactions: TransactionState;
};

/**
 *  Component to render table view page
 */
function ViewPageComponent({isCardView, transactions}: ViewPageComponentProps) {
    return (
        <div className={styles.container}>
            <PageHeaderContainer isCardView={isCardView}/>
            {transactions && transactions.allIds.length > 0 ? (isCardView? <CardListContainer/>: <TableContainer/>): <MainViewComponent/>}
            <span className={styles.poweredContainer}>
                <PoweredByLogo className={styles.powered} />
            </span>
        </div>
    );
}

export default ViewPageComponent;
