import { TransactionStatus } from '../api/types';

/**
 * Return node by transaction status
 * @param value
 * @param cases
 */
export const getNodeByTransactionStatus = (
    value: TransactionStatus,
    cases: { [key: string]: JSX.Element },
): JSX.Element => {
    if (cases[value]) {
        return cases[value];
    }
    return cases.default;
};

/**
 * Return node by MIME type
 * @param value
 * @param cases
 */
export function getNodeByMIME(value: string | boolean, cases: { [key: string]: JSX.Element }): JSX.Element {
    if (typeof value === 'string') {
        if (cases[value]) {
            return cases[value];
        }
    }
    return cases.default;
}
