import isWindows from 'is-windows';

const defaultPort = 3000;

const devServerHost = isWindows() ? 'localhost' : '0.0.0.0';

export const devServerUrl = `http://${devServerHost}:${defaultPort}/`;

export const devServerConfig = {
    port: defaultPort,
    historyApiFallback: true,
    headers: {'Access-Control-Allow-Origin': '*'},
    hot: true,
    client: {
      overlay: true
    },
    static: {
        directory: "./dist",
        publicPath: '/',
    },
    host: devServerHost,
};
