import {arrayFilterEmpty} from '../utils/helpers';
import {
    cssLoader,
    cssLoaderItems,
    cssModulesSupportLoaderItems,
    miniCssExtractLoader,
    sassLoaderItems,
} from './useLoaderRuleItems';

export const cssRule = {
    test: /\.css$/,
    use: [miniCssExtractLoader,  cssLoader],
};

export const sassModulesRule = {
    test: /\.module\.s([ca])ss$/,
    use: arrayFilterEmpty([
        ...cssModulesSupportLoaderItems,
        ...sassLoaderItems,
    ]),
};

export const sassRule = {
    test: /\.s([ca])ss$/,
    exclude: /\.module.scss$/,
    use: arrayFilterEmpty([
        ...cssLoaderItems,
        ...sassLoaderItems,
    ]),
};

export const sassRules = [sassModulesRule, sassRule];
